#include "SubtitlesManager.h"
#include "AkEventWithSubtitle.h"
#include "OnAkPostEventCallback.h"
#include "EAkCallbackType.h"

class UAkGameObject;
class UAkAudioEvent;
class UAkCallbackInfo;

void USubtitlesManager::RecordAnimNotifyPlayedForThisMatch(const FString& animNotify)
{

}

int32 USubtitlesManager::PostAkEventWithSubtitles(UAkGameObject* target, const TArray<FAkEventWithSubtitle>& akEventRandomizer, float maxSubtitleDistance, int32 callbackMask, const FOnAkPostEventCallback& postEventCallback, UAkAudioEvent*& akEventPlayed)
{
	return 0;
}

int32 USubtitlesManager::Post2DAkEventWithSubtitles(const TArray<FAkEventWithSubtitle>& akEventRandomizer, UAkAudioEvent*& akEventPlayed)
{
	return 0;
}

void USubtitlesManager::On3DEventCallback(EAkCallbackType callbackType, UAkCallbackInfo* callbackInfo)
{

}

bool USubtitlesManager::IsDebuggingSubtitles()
{
	return false;
}

bool USubtitlesManager::HasAnimNotifyPlayedForThisMatch(const FString& animNotify)
{
	return false;
}

FString USubtitlesManager::GetForcedAudioOrDialogLine()
{
	return TEXT("");
}

FString USubtitlesManager::GetAudioEventNameFromLocalizedTextId(const FString& textId)
{
	return TEXT("");
}

USubtitlesManager::USubtitlesManager()
{

}
